// Теоретичні питання
//  1. Як можна оголосити змінну у Javascript?
//   Змінну можна оголосити за допомогою ключових слів let або const. var - застаріле ключове слово, але може зустрічатись в старих проектах.

//  2. Що таке рядок (string) і як його створити (перерахуйте всі можливі варіанти)?
// string - це примітивний вид даних. Можна створити присвоївши змінній значення, записане в лапках.
let myName = "Name";
let string = "";
// також можна перетворити число в рядок, використовуючи конструктор toString()
let b = 5;
console.log(typeof b); //number
console.log(toString(typeof b)); // string

//  3. Як перевірити тип даних змінної в JavaScript?
//  методом typeof()
console.log(typeof myName);

//  4. Поясніть чому '1' + 1 = 11.
//  якщо скаладти число і рядок, то джаваскрипт автоматино приводить число до рядку, в результати маємо конкатинацію двох рядкових символів.

//  Практичні завдання
//  1. Оголосіть змінну і присвойте в неї число. Перевірте, чи ця змінна має тип "number" і виведіть результат в консоль.

let isNumber = 55;
console.log(typeof(isNumber));

//  2. Оголосіть змінну name і присвойте їй ваше ім'я. Оголосіть змінну lastName і присвойте в неї Ваше прізвище.
//  Виведіть повідомлення у консоль у форматі `Мене звати {ім'я}, {прізвище}` використовуючи ці змінні.

const firstName = "Nadiia";
const lastName = "Yena";
console.log(`My name is ${firstName} ${lastName}`);

//  3. Оголосіть змінну з числовим значенням і виведіть в консоль її значення всередині рядка.
let count = 125;
console.log(`Він підскочив ${count} разів`);






// const text = null ?? "test"
// console.log(text)
//  prompt()
// confirm()

